+carnet-upgrade (4.0.0) etch; urgency=low
+
+ * Sarge->Etch verzija upgrade skripti.
+
+ -- Valentin Vidic <vvidic@carnet.hr> Tue, 08 Jan 2008 17:53:39 +0100
+
carnet-upgrade (2.1.8) woody sarge; urgency=low
* Promjenjena verzija freeradiusa u 1.0.5-0
--- /dev/null
+Source: carnet-upgrade
+Section: carnet
+Priority: extra
+Maintainer: Valentin Vidic <vvidic@carnet.hr>
+Build-Depends: debhelper (>= 5)
+Standards-Version: 3.7.2
+
+Package: carnet-upgrade
+Architecture: all
+Depends: ${misc:Depends}
+Description: CARNet distribution upgrade script
+ This package provides cn-upgrade, a helper script
+ to facilitate upgrades between different versions
+ of CARNet Debian Linux distributions, by resolving
+ various issues that keep apt-get dist-upgrade from
+ working correctly and fixing local configuration.
--- /dev/null
+usr/sbin
+var/lib/carnet-upgrade
--- /dev/null
+src/* usr/share/carnet-upgrade/
--- /dev/null
+usr/share/carnet-upgrade/cn-upgrade usr/sbin/cn-upgrade
+usr/sbin/cn-upgrade usr/sbin/carnet-upgrade
--- /dev/null
+#!/bin/sh
+# postinst script for carnet-upgrade
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ configure)
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- /dev/null
+#!/bin/sh
+# postrm script for carnet-upgrade
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postrm> `remove'
+# * <postrm> `purge'
+# * <old-postrm> `upgrade' <new-version>
+# * <new-postrm> `failed-upgrade' <old-version>
+# * <new-postrm> `abort-install'
+# * <new-postrm> `abort-install' <old-version>
+# * <new-postrm> `abort-upgrade' <old-version>
+# * <disappearer's-postrm> `disappear' <overwriter>
+# <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- /dev/null
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+build: build-stamp
+
+build-stamp:
+ dh_testdir
+
+ # Add here commands to compile the package.
+ #$(MAKE)
+ #docbook-to-man debian/carnet-upgrade.sgml > carnet-upgrade.1
+
+ touch $@
+
+clean:
+ dh_testdir
+ dh_testroot
+ rm -f build-stamp
+
+ # Add here commands to clean up after the build process.
+ #$(MAKE) clean
+
+ dh_clean
+
+install: build
+ dh_testdir
+ dh_testroot
+ dh_clean -k
+ dh_installdirs
+
+ # Add here commands to install the package into debian/carnet-upgrade.
+ #$(MAKE) DESTDIR=$(CURDIR)/debian/carnet-upgrade install
+
+
+# Build architecture-independent files here.
+binary-indep: build install
+# We have nothing to do by default.
+
+# Build architecture-dependent files here.
+binary-arch: build install
+ dh_testdir
+ dh_testroot
+ dh_installchangelogs
+ dh_installdocs
+ dh_installexamples
+ dh_install
+# dh_installmenu
+ dh_installdebconf
+# dh_installlogrotate
+# dh_installemacsen
+# dh_installpam
+# dh_installmime
+# dh_python
+# dh_installinit
+# dh_installcron
+# dh_installinfo
+ dh_installman
+ dh_link
+ dh_strip
+ dh_compress
+ dh_fixperms
+# dh_perl
+# dh_makeshlibs
+ dh_installdeb
+ dh_shlibdeps
+ dh_gencontrol
+ dh_md5sums
+ dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install
--- /dev/null
+Template: cn-upgrade/debconf-priority
+Type: string
+Description: Backup of debconf/priority
+ Backup of debconf/priority
+
+Template: cn-upgrade/check-services
+Type: string
+Description: Check services
+ Check services
/var/cache/apt/archives/apache2-cn_* \
/var/cache/apt/archives/php4-cn_*
- export CARNET_SCRIPT_DEBUG=1
pkgadd aosi-aai aosi-www-aai # squirrelmail-cn
- unset CARNET_SCRIPT_DEBUG
-
}
upgrade_amavis () {
+++ /dev/null
-../share/carnet-upgrade/cn-upgrade
\ No newline at end of file
+++ /dev/null
-carnet-upgrade
\ No newline at end of file